> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Brand Kits

> List all brand kits for the current user.



## OpenAPI

````yaml /openapi.json get /api/v1/brand-kits
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brand-kits:
    get:
      tags:
        - Brand Kits
        - Brand Kits
      summary: List Brand Kits
      description: List all brand kits for the current user.
      operationId: list_brand_kits_api_v1_brand_kits_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BrandKitResponse'
                type: array
                title: Response List Brand Kits Api V1 Brand Kits Get
      security:
        - HTTPBearer: []
components:
  schemas:
    BrandKitResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        brand_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Brand Id
        kit_type:
          type: string
          title: Kit Type
        name:
          type: string
          title: Name
        brand_voice:
          type: string
          title: Brand Voice
        tone_keywords:
          items:
            type: string
          type: array
          title: Tone Keywords
        target_audience:
          type: string
          title: Target Audience
        language_preference:
          type: string
          title: Language Preference
        avoid_phrases:
          items:
            type: string
          type: array
          title: Avoid Phrases
        is_default:
          type: boolean
          title: Is Default
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        logo_icon_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Icon Url
        logo_dark_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Dark Url
        logo_square_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Square Url
        logo_wordmark:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Wordmark
        logo_wordmark_font:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Wordmark Font
        primary_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Color
        secondary_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Secondary Color
        accent_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Accent Color
        color_palette:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Color Palette
        font_headings:
          anyOf:
            - type: string
            - type: 'null'
          title: Font Headings
        font_body:
          anyOf:
            - type: string
            - type: 'null'
          title: Font Body
        imagery_style:
          anyOf:
            - type: string
            - type: 'null'
          title: Imagery Style
        brand_guidelines_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand Guidelines Url
        tagline:
          anyOf:
            - type: string
            - type: 'null'
          title: Tagline
        mission_statement:
          anyOf:
            - type: string
            - type: 'null'
          title: Mission Statement
        industry:
          anyOf:
            - type: string
            - type: 'null'
          title: Industry
        competitors:
          items:
            type: string
          type: array
          title: Competitors
        seo_keywords:
          items:
            type: string
          type: array
          title: Seo Keywords
        content_pillars:
          items:
            type: string
          type: array
          title: Content Pillars
        social_links:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Social Links
        social_profiles:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Social Profiles
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        website_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Website Url
        slides_template_r2_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Slides Template R2 Key
        slides_template_filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Slides Template Filename
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - kit_type
        - name
        - brand_voice
        - tone_keywords
        - target_audience
        - language_preference
        - avoid_phrases
        - is_default
        - created_at
        - updated_at
      title: BrandKitResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````